/api/v1/ticketing-teams/{ticketingTeamId}/users (PATCH)
const url = 'https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/users';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"users":[{"roundRobinDistribution":1,"status":"active","userId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/users \ --header 'Content-Type: application/json' \ --data '{ "users": [ { "roundRobinDistribution": 1, "status": "active", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ] }'Updates multiple users in a ticketing team.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
object
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”The ticketing team users were updated.
object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Example
[ { "status": "active" }]Round robin distribution does not total exactly 100%.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Ticketing team or user not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}